CatchTree (Java SE 11 & JDK 11 )
Keywords: jdk.nashorn.api.tree.CatchTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface CatchTree

- All Superinterfaces:
    `Tree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface CatchTree
      extends Tree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  A tree node for a 'catch' block in a 'try' statement. For example:

         catch ( parameter )
             block

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BlockTree` | `getBlock()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the code block of this catch block.
    `ExpressionTree` | `getCondition()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the optional catch condition expression.
    `ExpressionTree` | `getParameter()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the catch parameter identifier or parameter binding pattern of the exception caught.

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getParameter

          ExpressionTree getParameter()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the catch parameter identifier or parameter binding pattern of the exception caught.
      Returns:
        the catch parameter identifier or parameter binding pattern

    - #### getBlock

          BlockTree getBlock()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the code block of this catch block.
      Returns:
        the code block

    - #### getCondition

          ExpressionTree getCondition()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the optional catch condition expression. This is null if this is an unconditional catch statement.
      Returns:
        the optional catch condition expression.